[simplyhtml] 01/01: clean up, fix lintian

Felix Natter fnatter-guest at moszumanska.debian.org
Fri Apr 15 14:58:25 UTC 2016


This is an automated email from the git hooks/post-receive script.

fnatter-guest pushed a commit to branch master
in repository simplyhtml.

commit fea6b5b5fbff8db94251d3d18c06a94a3d13608f
Author: Felix Natter <fnatter at gmx.net>
Date:   Fri Apr 15 16:58:14 2016 +0200

    clean up, fix lintian
---
 debian/README.source                | 16 --------------
 debian/ant.properties               |  2 --
 debian/changelog                    |  6 ++++--
 debian/control                      |  6 +++---
 debian/export_shtml.sh              | 43 -------------------------------------
 debian/patches/01_build.patch       | 10 ++++++++-
 debian/simplyhtml.lintian-overrides |  2 ++
 7 files changed, 18 insertions(+), 67 deletions(-)

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index e77c76b..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,16 +0,0 @@
-The package has been converted to git => The sources are in the 'upstream'
-branch of git://git.debian.org/pkg-java/simplyhtml.git
-(see http://wiki.debian.org/Java/JavaGit).
-
--- Felix Natter <fnatter at gmx.net>, Mon Jan 21 20:46:00 CEST 2013
-
-The sources can be downloaded using the target "get-orig-source" found in
-debian/rules; a repackaging for DFSG reasons is then required, the necessary
-command is output by the same target.
-
-The package uses the simple patch system from CDBS, check the manpage of
-'cdbs-edit-patch' for one possible way to add or edit patches. The "patch"
-target can be used to apply the patches (found under debian/patches), but you
-risk to break the patching mechanism if you don't pay attention.
-
--- Eric Lavarde <deb at zorglub.s.bawue.de>, Sat Sep 27 21:02:19 CEST 2008
diff --git a/debian/ant.properties b/debian/ant.properties
deleted file mode 100644
index 7385c7f..0000000
--- a/debian/ant.properties
+++ /dev/null
@@ -1,2 +0,0 @@
-ant.build.javac.source=1.5
-ant.build.javac.target=1.5
diff --git a/debian/changelog b/debian/changelog
index 7b1f7b4..7d6f748 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,9 +2,11 @@ simplyhtml (0.16.16-1) UNRELEASED; urgency=medium
 
   * New upstream version.
   * Use/patch new gradle build system.
-  * Require java7 runtime
+  * Require java7 runtime (upstream requires this).
+  * Bump Standards-Version to 3.9.8 (TODO: put doc into /usr/share/doc/simplyhtml/!).
+  * Publish maven artifact to /usr/share/maven-repo.
 
- -- Felix Natter <fnatter at gmx.net>  Mon, 11 Apr 2016 12:11:25 +0200
+ -- Felix Natter <fnatter at gmx.net>  Fri, 15 Apr 2016 16:48:11 +0200
 
 simplyhtml (0.16.13-1) unstable; urgency=medium
 
diff --git a/debian/control b/debian/control
index 4703f6a..b49cddf 100644
--- a/debian/control
+++ b/debian/control
@@ -11,9 +11,9 @@ Build-Depends-Indep: default-jdk,
                      gradle,
                      gradle-debian-helper,
                      maven-repo-helper
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/simplyhtml.git
-Vcs-Git: git://anonscm.debian.org/pkg-java/simplyhtml.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/simplyhtml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/simplyhtml.git
 Homepage: http://sf.net/projects/simplyhtml
 
 Package: simplyhtml
diff --git a/debian/export_shtml.sh b/debian/export_shtml.sh
deleted file mode 100755
index d954499..0000000
--- a/debian/export_shtml.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash -x
-# This small script can be used to export the SimplyHTML source tree from CVS
-if [ $# -lt 1 ]
-then
-	echo "Usage: $0 <SimplyHTML version> [<RCS tag> [keep]]" >&2
-	echo "Example: $0 0.7.9.rc4 fm_0_8_0_rc4" >&2
-	echo "Example: $0 0.8.0+01  FM-0-8-0 keep" >&2
-	echo "Use the 'keep' parameter to keep a complete copy." >&2
-	exit 1
-fi
-
-simplyhtml_dir="simplyhtml-$1"
-simplyhtml_tar="simplyhtml_$1"
-if [ ! -d shtml ] && [ ! -d "${simplyhtml_dir}" ]
-then # we don't want to overwrite anything...
-	cvs -z3 -d:pserver:anonymous at simplyhtml.cvs.sourceforge.net:/cvsroot/simplyhtml export -r "$2" shtml || exit 1
-	mv shtml "${simplyhtml_dir}" || exit 1
-else
-	echo "Directory 'shtml' or '${simplyhtml_dir}' exists." >&2
-	exit 1
-fi
-
-### SAVE FIRST THE WHOLE SIMPLYHTML TREE ###
-if [ -n "$3" ]
-then
-	mv ${simplyhtml_dir} ${simplyhtml_dir}.complete
-	tar cvzf ${simplyhtml_tar}.complete.tar.gz \
-		${simplyhtml_dir}.complete
-	mv ${simplyhtml_dir}.complete ${simplyhtml_dir}
-fi
-
-### THEN CLEANUP THE SOURCE TREE ###
-find ${simplyhtml_dir} -name \*.jar -o -name \*.zip | xargs rm -vf
-rm -vfr ${simplyhtml_dir}/simplyhtml/windows-launcher
-
-### CREATE ORIG.TAR.GZ ###
-if [ -f "${simplyhtml_tar}.orig.tar.gz" ]
-then
-	mv -f "${simplyhtml_tar}.orig.tar.gz" "${simplyhtml_tar}.orig.tar.gz.BAK" \
-		|| exit 1
-fi
-tar cvzf "${simplyhtml_tar}.orig.tar.gz" "${simplyhtml_dir}" || exit 1
-rm -fr "${simplyhtml_dir}"
diff --git a/debian/patches/01_build.patch b/debian/patches/01_build.patch
index e49af7b..c8a6f4c 100644
--- a/debian/patches/01_build.patch
+++ b/debian/patches/01_build.patch
@@ -43,7 +43,15 @@
  }
  
  dependencies {
-@@ -65,6 +50,15 @@
+@@ -58,13 +43,22 @@
+ 
+ // help.jar
+ task helpJar(type: Jar) {
+-	baseName = 'SimplyHTMLHelp'
++    baseName = 'SimplyHTMLHelp'
+     from(sourceSets.main.output) {  
+         include "com/lightdev/app/shtm/help/**" 
+         project.ext.helpExcludes.addAll(includes)
      }  
  }
  
diff --git a/debian/simplyhtml.lintian-overrides b/debian/simplyhtml.lintian-overrides
new file mode 100644
index 0000000..9e184fa
--- /dev/null
+++ b/debian/simplyhtml.lintian-overrides
@@ -0,0 +1,2 @@
+# SimplyHTMLHelp.jar contains help files
+simplyhtml binary: codeless-jar
\ No newline at end of file

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/simplyhtml.git



More information about the pkg-java-commits mailing list